ybbond-reason

My old site written in ReasonReact
Log | Files | Refs | README

commit 88f3d7a29fc9b06cc275a7f6a86f1748600a7976
parent 559324eb0cdf91970d33a221b45a8bb383c1f544
Author: Yohanes Bandung <bandungpenting@gmail.com>
Date:   Mon,  4 Nov 2019 10:54:24 +0700

refactor(Package) => upgrade dependencies

Diffstat:
Mbsconfig.json | 4+++-
Mpackage.json | 4++--
Myarn.lock | 10+++++-----

3 files changed, 10 insertions(+), 8 deletions(-)

diff --git a/bsconfig.json b/bsconfig.json
@@ -3,18 +3,20 @@
   "reason": {
     "react-jsx": 3
   },
+  "bsc-flags": ["-bs-super-errors"],
   "sources": {
     "dir": "src",
     "subdirs": true
   },
   "package-specs": [
     {
-      "module": "commonjs",
+      "module": "es6",
       "in-source": true
     }
   ],
   "suffix": ".bs.js",
   "namespace": true,
   "bs-dependencies": ["bs-css", "bs-webapi", "reason-react"],
+  "ppx-flags": [],
   "refmt": 3
 }
diff --git a/package.json b/package.json
@@ -20,10 +20,10 @@
     "bs-webapi": "^0.15.2",
     "react": "^16.8.1",
     "react-dom": "^16.8.1",
-    "reason-react": ">=0.7.0"
+    "reason-react": "0.7.0"
   },
   "devDependencies": {
-    "bs-platform": "^5.0.6",
+    "bs-platform": "6.2.1",
     "html-webpack-plugin": "^3.2.0",
     "webpack": "^4.0.1",
     "webpack-cli": "^3.1.1",
diff --git a/yarn.lock b/yarn.lock
@@ -649,10 +649,10 @@ bs-css@^9.0.1:
   dependencies:
     emotion "^10.0.7"
 
-bs-platform@^5.0.6:
-  version "5.0.6"
-  resolved "https://registry.yarnpkg.com/bs-platform/-/bs-platform-5.0.6.tgz#88c13041fb020479800de3d82c680bf971091425"
-  integrity sha512-6Boa2VEcWJp2WJr38L7bp3J929nYha7gDarjxb070jWzgfPJ/WbzjipmSfnu2eqqk1MfjEIpBipbPz6n1NISwA==
+bs-platform@6.2.1:
+  version "6.2.1"
+  resolved "https://registry.yarnpkg.com/bs-platform/-/bs-platform-6.2.1.tgz#30266c7f23a3b323e1fc9596a9a6eb9f053981b4"
+  integrity sha512-FmQ8kYV52A0Y302qh6o0/J9TO+kHzsjGQnsjrg/ONUYIY/jWzBnt9dCBO6EBnaEKfFJLqk5JrUDCxuihqtTcnw==
 
 bs-webapi@^0.15.2:
   version "0.15.2"
@@ -3474,7 +3474,7 @@ readdirp@^2.2.1:
     micromatch "^3.1.10"
     readable-stream "^2.0.2"
 
-reason-react@>=0.7.0:
+reason-react@0.7.0:
   version "0.7.0"
   resolved "https://registry.yarnpkg.com/reason-react/-/reason-react-0.7.0.tgz#46a975c321e81cd51310d7b1a02418ca7667b0d6"
   integrity sha512-czR/f0lY5iyLCki9gwftOFF5Zs40l7ZSFmpGK/Z6hx2jBVeFDmIiXB8bAQW/cO6IvtuEt97OmsYueiuOYG9XjQ==